/**
 * @packageDocumentation
 * @module business/image/pull-control
 */
import { DialogRef } from '@alauda/ui';
import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, ValidationErrors } from '@angular/forms';
import { ImageRepositoryValue, ImageSelectorDataContext } from '../../data-context';
import { ImageIntl } from '../../image.intl';
export interface ImagePullDialogData {
    value: ImageRepositoryValue;
    context: ImageSelectorDataContext;
}
export declare class ImagePullDialogComponent implements OnInit, OnDestroy {
    private readonly fb;
    private readonly dialogRef;
    intl: ImageIntl;
    private readonly cdr;
    data: ImagePullDialogData;
    form: FormGroup;
    isSelect$: import("rxjs").Observable<boolean>;
    intlChangeSubscription: import("rxjs").Subscription;
    constructor(fb: FormBuilder, dialogRef: DialogRef<ImagePullDialogComponent>, intl: ImageIntl, cdr: ChangeDetectorRef, data: ImagePullDialogData);
    /** @ignore */
    ngOnInit(): void;
    /** @ignore */
    ngOnDestroy(): void;
    private buildForm;
    formValidator(control: FormGroup): ValidationErrors;
    submit(): void;
}
